<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <!-- Mobile Responsiveness -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Bootstrap Grid System</title>

    <!-- css stylesheet -->
    <!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

    <!-- bootstrap css -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
</head>
<body class="text-center">
    
    <h1>Bootstrap Grid System</h1>

    <h2>Two Columns</h2>
    <div class="container-fluid">

        <h3>1:1 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-6">
                6 Columns
            </div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-6">
                6 Columns
            </div>
        </div>

        <h3>1:3 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">
                3 Columns
            </div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-9">
                9 Columns
            </div>
        </div>

    </div>

    <h2>Three Columns</h2>
    <div class="container-fluid">

        <h3>1:1:1 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">
                4 Columns
            </div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-4">
                4 Columns
            </div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-4">
                4 Columns
            </div>
        </div>

            <h3>1:2:1 Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">
                3 Columns
            </div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-6">
                6 Columns
            </div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">
                3 Columns
            </div>
        </div>

        <h3>Uneven Ratio</h3>
        <div class="text-light row">
            <div class="bg-primary pt-3 pb-3 border border-dark col-3">
                3 Columns
            </div>
            <div class="bg-secondary pt-3 pb-3 border border-dark col-7">
                7 Columns
            </div>
            <div class="bg-primary pt-3 pb-3 border border-dark col-2">
                2 Columns
            </div>
        </div>
    </div>

        <h3>Automatic Sizing</h3>
        <div class="container-fluid">
            
            <div class="text-light row">
                <div class="bg-primary pt-3 pb-3 border border-dark col">
                    Auto
                </div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">
                    Auto
                </div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">
                    Auto
                </div>
                <div class="bg-secondary pt-3 pb-3 border border-dark col">
                    Auto
                </div>
                <div class="bg-primary pt-3 pb-3 border border-dark col">
                    Auto
                </div>
            </div>
        </div>

        <!-- bootstrap JS -->
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.8/dist/umd/popper.min.js" integrity="sha384-I7E8VVD/ismYTF4hNIPjVp/Zjvgyol6VFvRkX/vR+Vc4jQkC+hVqc2pM8ODewa9r" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js" integrity="sha384-fbbOQedDUMZZ5KreZpsbe1LCZPVmfTnH7ois6mU1QK+m14rQ1l2bGBq41eYeM/fS" crossorigin="anonymous"></script>

</body>
</html>